export const SET_DRAWER = "SET_DRAWER";
export function setDrawer(state: boolean) {
    return {
        type: SET_DRAWER,
        show: state,
    };
};

export const SET_DRAWER_BUTTON = "SET_DRAWER_BUTTON";
export function setDrawerButton(state: boolean) {
    return {
        type: SET_DRAWER_BUTTON,
        show: state,
    };
};

export const LOGIN_SET_SNACKBAR = "LOGIN_SET_SNACKBAR";
export function setLoginSnackbar(visibility: boolean, msg: string = "") {
    return {
        type: LOGIN_SET_SNACKBAR,
        show: visibility,
        msg,
    };
};

export const LOGIN_SET_LOADING = "LOGIN_SET_LOADING";
export function setLoginLoading(visibility: boolean) {
    return {
        type: LOGIN_SET_LOADING,
        show: visibility,
    };
};

export const SET_AUTHENTICATED = "SET_AUTHENTICATED";
export function setAuthenticated(state: boolean) {
    return {
        type: SET_AUTHENTICATED,
        status: state,
    };
}

export const SET_USER = "SET_USER";
export function setUser(user: IUser) {
    return {
        type: SET_USER,
        user,
    };
}
